com.threerings.parlor.tourney.data

## Class TourneyMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.parlor.tourney.data.TourneyMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, TourneyService, com.threerings.presents.client.InvocationService

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from TourneyService.java.")
    public class TourneyMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements TourneyService

Provides the implementation of the `TourneyService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `CANCEL` The method id used to dispatch `cancel(com.threerings.presents.client.InvocationService.ConfirmListener)` requests.
`static int` `JOIN` The method id used to dispatch `join(com.threerings.presents.client.InvocationService.ConfirmListener)` requests.
`static int` `LEAVE` The method id used to dispatch `leave(com.threerings.presents.client.InvocationService.ConfirmListener)` requests.

### Constructor Summary

Constructors
Constructor and Description
`TourneyMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel(com.threerings.presents.client.InvocationService.ConfirmListener arg1)` Handles a request to cancel the tourney.
`void` `join(com.threerings.presents.client.InvocationService.ConfirmListener arg1)` Handles a request to join the tourney.
`void` `leave(com.threerings.presents.client.InvocationService.ConfirmListener arg1)` Handles a request to leave the tourney.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CANCEL

    public static final int CANCEL

The method id used to dispatch `cancel(com.threerings.presents.client.InvocationService.ConfirmListener)` requests.

See Also:
  Constant Field Values

#### JOIN

    public static final int JOIN

The method id used to dispatch `join(com.threerings.presents.client.InvocationService.ConfirmListener)` requests.

See Also:
  Constant Field Values

#### LEAVE

    public static final int LEAVE

The method id used to dispatch `leave(com.threerings.presents.client.InvocationService.ConfirmListener)` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### TourneyMarshaller

    public TourneyMarshaller()

### Method Detail

#### cancel

    public void cancel(com.threerings.presents.client.InvocationService.ConfirmListener arg1)

Description copied from interface: `TourneyService`
Handles a request to cancel the tourney.

Specified by:
  `cancel` in interface `TourneyService`

#### join

    public void join(com.threerings.presents.client.InvocationService.ConfirmListener arg1)

Description copied from interface: `TourneyService`
Handles a request to join the tourney.

Specified by:
  `join` in interface `TourneyService`

#### leave

    public void leave(com.threerings.presents.client.InvocationService.ConfirmListener arg1)

Description copied from interface: `TourneyService`
Handles a request to leave the tourney.

Specified by:
  `leave` in interface `TourneyService`